summaryrefslogtreecommitdiffstats
path: root/games/tome
diff options
context:
space:
mode:
author David Melik <dchmelik@gmail.com>2010-05-13 00:58:13 +0200
committer Heinz Wiesinger <pprkut@slackbuilds.org>2010-05-13 00:58:13 +0200
commita545f36fd178494632fe381a25a06d50894cae05 (patch)
tree94a4ece51b1138645a19d83b92f7ad592aeee0f7 /games/tome
parent9af28a6a5cc24cc77ce3a2c1f9894f4b6fd11f41 (diff)
downloadslackbuilds-a545f36fd178494632fe381a25a06d50894cae05.tar.gz
slackbuilds-a545f36fd178494632fe381a25a06d50894cae05.tar.xz
games/tome: Added to 13.0 repository
Diffstat (limited to 'games/tome')
-rw-r--r--games/tome/README4
-rw-r--r--games/tome/doinst.sh20
-rw-r--r--games/tome/slack-desc19
-rw-r--r--games/tome/tome.SlackBuild85
-rw-r--r--games/tome/tome.desktop8
-rw-r--r--games/tome/tome.info10
-rw-r--r--games/tome/tome.pngbin0 -> 603 bytes
7 files changed, 146 insertions, 0 deletions
diff --git a/games/tome/README b/games/tome/README
new file mode 100644
index 0000000000..d3efaef425
--- /dev/null
+++ b/games/tome/README
@@ -0,0 +1,4 @@
+ToMe is a game that emphasizes intricate, challenging, and varied gameplay
+over graphics. Hundreds of different monsters in randomly-generated,
+unpredictable dungeons will strive to slay you by various means
+
diff --git a/games/tome/doinst.sh b/games/tome/doinst.sh
new file mode 100644
index 0000000000..d91f5bd8c5
--- /dev/null
+++ b/games/tome/doinst.sh
@@ -0,0 +1,20 @@
+#!/bin/sh
+config() {
+ NEW="$1"
+ OLD="$(dirname $NEW)/$(basename $NEW .new)"
+ # If there's no config file by that name, mv it over:
+ if [ ! -r $OLD ]; then
+ mv $NEW $OLD
+ elif [ "$(cat $OLD | md5sum)" = "$(cat $NEW | md5sum)" ]; then
+ # toss the redundant copy
+ rm $NEW
+ fi
+ # Otherwise, we leave the .new copy for the admin to consider...
+}
+
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+config var/games/tome/apex/scores.raw.new
+
diff --git a/games/tome/slack-desc b/games/tome/slack-desc
new file mode 100644
index 0000000000..0fd5334bb1
--- /dev/null
+++ b/games/tome/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+tome: Tales of Middle Earth (ToME) is a fantasy adventure game
+tome:
+tome: ToMe is a game that emphasizes intricate, challenging, and varied
+tome: gameplay over graphics. Hundreds of different monsters in randomly-
+tome: generated, unpredictable dungeons will strive to slay you by various
+tome: means, and you counter - if you survive - by developing the skills of
+tome: your choice and wielding mighty artifacts
+tome:
+tome: http://www.t-o-m-e.net
+tome:
+tome: \ No newline at end of file
diff --git a/games/tome/tome.SlackBuild b/games/tome/tome.SlackBuild
new file mode 100644
index 0000000000..f34b6bbf62
--- /dev/null
+++ b/games/tome/tome.SlackBuild
@@ -0,0 +1,85 @@
+#!/bin/sh
+
+# Slackware build script for Tome
+
+# Written by David Melik <dchmelik @ gmail dot com>.
+# with help from a friend.
+# Partly based on Marshall Scott's Angband SlackBuild.
+
+PRGNAM=tome
+VERSION=${VERSION:-235}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION-src
+tar xvf $CWD/$PRGNAM-$VERSION-src.tar.bz2
+cd $PRGNAM-$VERSION-src
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+# make use of our CFLAGS
+sed -i "s/-O1/$SLKCFLAGS/g" src/makefile.std
+
+cd src
+ make \
+ -f makefile.std \
+ BINDIR=/usr/games \
+ LIBDIR=/var/games/tome
+
+ make \
+ -f makefile.std \
+ BINDIR=/usr/games \
+ LIBDIR=/var/games/tome \
+ DESTDIR=$PKG \
+ install
+cd -
+
+# We'll kill the "delete.me" files in the package; probably these are left so
+# that lesser package management tools don't choke on empty directories
+find $PKG -name "delete.me" | xargs rm -f
+find $PKG -name ".cvsignore" | xargs rm -f
+
+# Now let's prevent upgrades from clobbering any existing datafiles
+mv $PKG/var/games/tome/apex/scores.raw \
+ $PKG/var/games/tome/apex/scores.raw.new
+
+mkdir -p $PKG/usr/share/{applications,pixmaps}
+cp $CWD/tome.png $PKG/usr/share/pixmaps
+cp $CWD/tome.desktop $PKG/usr/share/applications
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a changes.txt credits.txt $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/games/tome/tome.desktop b/games/tome/tome.desktop
new file mode 100644
index 0000000000..63c4551efd
--- /dev/null
+++ b/games/tome/tome.desktop
@@ -0,0 +1,8 @@
+[Desktop Entry]
+Name=ToME
+Comment=Dive into Arda and defeat Morgoth
+Exec=tome
+Terminal=true
+Type=Application
+Categories=Game;
+Icon=tome \ No newline at end of file
diff --git a/games/tome/tome.info b/games/tome/tome.info
new file mode 100644
index 0000000000..205615952e
--- /dev/null
+++ b/games/tome/tome.info
@@ -0,0 +1,10 @@
+PRGNAM="tome"
+VERSION="235"
+HOMEPAGE="http://www.t-o-m-e.net"
+DOWNLOAD="http://www.t-o-m-e.net/dl/src/tome-235-src.tar.bz2"
+MD5SUM="751ea71973413d3b54644cf86b20758f"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Melik"
+EMAIL="dchmelik@gmail.com"
+APPROVED="pprkut"
diff --git a/games/tome/tome.png b/games/tome/tome.png
new file mode 100644
index 0000000000..ee931a91ee
--- /dev/null
+++ b/games/tome/tome.png
Binary files differ